## geany 0.20

=== wscript ===
# -*- coding: utf-8 -*-
#
# WAF build script - this file is part of Geany, a fast and lightweight IDE
#
# Copyright 2008-2010 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
# Copyright 2008-2010 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# $Id: wscript 5400 2010-11-11 17:48:21Z eht16 $

"""
This is a WAF build script (http://code.google.com/p/waf/).
It can be used as an alternative build system to autotools
for Geany. It does not (yet) cover all of the autotools tests and
configure options but all important things are working.
"make dist" should be done with autotools, most other targets and
functions should work better (regarding performance and flexibility)
or at least equally.

Missing features: --enable-binreloc, make targets: dist, pdf (in doc/)
Known issues: Dependency handling is buggy, e.g. if src/document.h is
              changed, depending source files are not rebuilt (maybe Waf bug).

The code of this file itself loosely follows PEP 8 with some exceptions
(line width 100 characters and some other minor things).

Requires WAF 1.6.1 and Python 2.5 (or later).
"""


import sys
import os
import tempfile
from distutils import version
from waflib import Logs, Options, Scripting, Utils
from waflib.Configure import ConfigurationContext
from waflib.Errors import ConfigurationError, WafError
from waflib.TaskGen import feature


APPNAME = 'geany'
VERSION = '0.20'
LINGUAS_FILE = 'po/LINGUAS'

top = '.'
out = '_build_'


tagmanager_sources = set([
    'tagmanager/args.c', 'tagmanager/abc.c', 'tagmanager/actionscript.c', 'tagmanager/asm.c',
    'tagmanager/basic.c', 'tagmanager/c.c',
    'tagmanager/conf.c', 'tagmanager/css.c', 'tagmanager/ctags.c', 'tagmanager/diff.c',
    'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
    'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
    'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
    'tagmanager/make.c', 'tagmanager/markdown.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c',
    'tagmanager/nestlevel.c', 'tagmanager/options.c',
    'tagmanager/parse.c', 'tagmanager/pascal.c', 'tagmanager/r.c',
    'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
    'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
    'tagmanager/sql.c', 'tagmanager/strlist.c', 'tagmanager/txt2tags.c', 'tagmanager/tcl.c',
    'tagmanager/tm_file_entry.c',
    'tagmanager/tm_project.c', 'tagmanager/tm_source_file.c', 'tagmanager/tm_symbol.c',
    'tagmanager/tm_tag.c', 'tagmanager/tm_tagmanager.c', 'tagmanager/tm_work_object.c',
    'tagmanager/tm_workspace.c', 'tagmanager/vhdl.c', 'tagmanager/verilog.c', 'tagmanager/vstring.c'])

scintilla_sources = set([
    'scintilla/AutoComplete.cxx', 'scintilla/CallTip.cxx', 'scintilla/CellBuffer.cxx',
    'scintilla/CharClassify.cxx', 'scintilla/ContractionState.cxx', 'scintilla/Decoration.cxx',
    'scintilla/DocumentAccessor.cxx', 'scintilla/Document.cxx', 'scintilla/Editor.cxx',
    'scintilla/ExternalLexer.cxx',  'scintilla/Indicator.cxx',  'scintilla/KeyMap.cxx',
    'scintilla/KeyWords.cxx',
    'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
    'scintilla/LexBasic.cxx', 'scintilla/LexCaml.cxx', 'scintilla/LexCmake.cxx', 'scintilla/LexCPP.cxx',
    'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx', 'scintilla/LexErlang.cxx', 'scintilla/LexForth.cxx',
    'scintilla/LexFortran.cxx', 'scintilla/LexHaskell.cxx', 'scintilla/LexHTML.cxx', 'scintilla/LexLisp.cxx',
    'scintilla/LexLua.cxx', 'scintilla/LexMarkdown.cxx', 'scintilla/LexMatlab.cxx',
    'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
    'scintilla/LexPascal.cxx', 'scintilla/LexPerl.cxx', 'scintilla/LexPython.cxx',
    'scintilla/LexR.cxx', 'scintilla/LexRuby.cxx', 'scintilla/LexSQL.cxx',
    'scintilla/LexTCL.cxx', 'scintilla/LexTxt2tags.cxx',
    'scintilla/LexVHDL.cxx', 'scintilla/LexVerilog.cxx', 'scintilla/LexYAML.cxx',
    'scintilla/LineMarker.cxx', 'scintilla/PerLine.cxx',
    'scintilla/PlatGTK.cxx',
    'scintilla/PositionCache.cxx', 'scintilla/PropSet.cxx', 'scintilla/RESearch.cxx',
    'scintilla/RunStyles.cxx', 'scintilla/ScintillaBase.cxx', 'scintilla/ScintillaGTK.cxx',
    'scintilla/scintilla-marshal.c', 'scintilla/Selection.cxx', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
    'scintilla/UniConversion.cxx', 'scintilla/ViewStyle.cxx', 'scintilla/WindowAccessor.cxx',
    'scintilla/XPM.cxx'])

geany_sources = set([
    'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
    'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
    'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
    'src/highlighting.c', 'src/interface.c', 'src/keybindings.c',
    'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
    'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
    'src/symbols.c',
    'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/sidebar.c',
    'src/ui_utils.c', 'src/utils.c'])



def configure(conf):

    conf.check_waf_version(mini='1.6.1')

    conf.load('compiler_c')
    is_win32 = _target_is_win32(conf)

    conf.check_cc(header_name='fcntl.h', mandatory=False)
    conf.check_cc(header_name='fnmatch.h', mandatory=False)
    conf.check_cc(header_name='glob.h', mandatory=False)
    conf.check_cc(header_name='sys/time.h', mandatory=False)
    conf.check_cc(header_name='sys/types.h', mandatory=False)
    conf.check_cc(header_name='sys/stat.h', mandatory=False)
    conf.define('HAVE_STDLIB_H', 1) # are there systems without stdlib.h?
    conf.define('STDC_HEADERS', 1) # an optimistic guess ;-)

    if conf.options.gnu_regex:
        _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)
        _add_to_env_and_define(conf, 'USE_INCLUDED_REGEX', 1)
    else:
        try:
            conf.check_cc(header_name='regex.h')
            conf.check_cc(function_name='regcomp', header_name='regex.h')
        except ConfigurationError:
            _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)
            _add_to_env_and_define(conf, 'USE_INCLUDED_REGEX', 1)

    conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
    conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
    conf.check_cc(function_name='gethostname', header_name='unistd.h', mandatory=False)
    conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
    conf.check_cc(function_name='strstr', header_name='string.h')

    # check sunOS socket support
    if Options.platform == 'sunos':
        conf.check_cc(function_name='socket', lib='socket',
                      header_name='sys/socket.h', uselib_store='SUNOS_SOCKET', mandatory=True)

    # check for cxx after the header and function checks have been done to ensure they are
    # checked with cc not cxx
    conf.load('compiler_cxx')
    if is_win32:
        conf.load('winres')
    _load_intltool_if_available(conf)

    # GTK / GIO version check
    conf.check_cfg(package='gtk+-2.0', atleast_version='2.8.0', uselib_store='GTK',
        mandatory=True, args='--cflags --libs')
    have_gtk_210 = False
    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
    if gtk_version:
        if version.LooseVersion(gtk_version) >= version.LooseVersion('2.10.0'):
            have_gtk_210 = True
    else:
        gtk_version = 'Unknown'
    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=False)

    # Windows specials
    if is_win32:
        if conf.env['PREFIX'].lower() == tempfile.gettempdir().lower():
            # overwrite default prefix on Windows (tempfile.gettempdir() is the Waf default)
            new_prefix = os.path.join(str(conf.root), '%s-%s' % (APPNAME, VERSION))
            _add_to_env_and_define(conf, 'PREFIX', new_prefix, quote=True)
            _add_to_env_and_define(conf, 'BINDIR', os.path.join(new_prefix, 'bin'), quote=True)
        _add_to_env_and_define(conf, 'DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), quote=True)
        _add_to_env_and_define(conf, 'LIBDIR', conf.env['PREFIX'], quote=True)
        conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
        # overwrite LOCALEDIR to install message catalogues properly
        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
        # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
        conf.undefine('DATADIR')
        conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
        conf.env.append_value('LINKFLAGS_cprogram', ['-mwindows'])
        conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
    else:
        conf.env['cshlib_PATTERN'] = '%s.so'
        # DATADIR and LOCALEDIR are defined by the intltool tool
        # but they are not added to the environment, so we need to
        _add_define_to_env(conf, 'DATADIR')
        _add_define_to_env(conf, 'LOCALEDIR')
        docdir = os.path.join(conf.env['DATADIR'], 'doc', 'geany')
        libdir = os.path.join(conf.env['PREFIX'], 'lib')
        mandir = os.path.join(conf.env['DATADIR'], 'man')
        _define_from_opt(conf, 'DOCDIR', conf.options.docdir, docdir)
        _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
        _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)

    svn_rev = _get_svn_rev(conf)

    conf.define('ENABLE_NLS', 1)
    conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
    conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)
    conf.define('GEANY_DOCDIR', conf.env['DOCDIR'], quote=True)
    conf.define('GEANY_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], quote=True)
    conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
    conf.define('PACKAGE', APPNAME, quote=True)
    conf.define('VERSION', VERSION, quote=True)
    conf.define('REVISION', str(svn_rev), quote=True)

    conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)

    # no VTE on Windows
    if is_win32:
        conf.options.no_vte = True

    _define_from_opt(conf, 'HAVE_PLUGINS', not conf.options.no_plugins, None)
    _define_from_opt(conf, 'HAVE_SOCKET', not conf.options.no_socket, None)
    _define_from_opt(conf, 'HAVE_VTE', not conf.options.no_vte, None)

    conf.write_config_header('config.h', remove=False)

    # some more compiler flags
    conf.env.append_value('CFLAGS', ['-DHAVE_CONFIG_H'])
    if svn_rev > -1:
        conf.env.append_value('CFLAGS', ['-g', '-DGEANY_DEBUG'])
    # Scintilla flags
    conf.env.append_value('CFLAGS', ['-DGTK'])
    conf.env.append_value('CXXFLAGS',
        ['-DNDEBUG', '-DGTK', '-DGTK2', '-DSCI_LEXER', '-DG_THREADS_IMPL_NONE'])

    # summary
    Logs.pprint('BLUE', 'Summary:')
    conf.msg('Install Geany ' + VERSION + ' in', conf.env['PREFIX'])
    conf.msg('Using GTK version', gtk_version)

## geany 0.21

=== debian/changelog ===
geany (0.21-1ubuntu1) precise; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/patches/20_use_evince_viewer.patch:
       + use evince as viewer for pdf and dvi files
    - debian/patches/20_use_x_terminal_emulator.patch:
       + use x-terminal-emulator as terminal
    - debian/control
       + Add breaks on geany-plugins-common << 0.20
  * Also fixes bugs:
    - Filter for MATLAB/Octave files filters everythign (LP: 885505)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 10 Dec 2011 07:43:26 +0800

geany (0.21-1) unstable; urgency=low

  * Imported Upstream version 0.21
  * Refresh filetypes patch against 0.21
  * Fix Description (thanks lintian!)
  * Standards-Version: 3.9.2
  * dpatch → 3.0 (quilt)
  * Switch to new dh-style debian/rules
  * Add a patch to search for plugins in both, multiarch and
    non-multiarch folders
  * Add misc:Pre-Depends to Pre-Depends for multiarch
  * Generate geany:Provides with GEANY_ABI_VERSION and GEANY_API_VERSION
  * Split arch independent parts into geany-common
  * Set maintainer to pkg-geany
  * Set Vcs-* headers for pkg-geany
  * Drop README.source, we're using standard 3.0 quilt now

 -- Evgeni Golov <evgeni@debian.org>  Thu, 17 Nov 2011 12:59:57 +0100

geany (0.20-1.1ubuntu1) oneiric; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - debian/patches/20_use_evince_viewer.dpatch:
       + use evince as viewer for pdf and dvi files
    - debian/patches/20_use_x_terminal_emulator.dpatch:
       + use x-terminal-emulator as terminal
    - debian/control
       + add geany-plugins to Suggests
       + Add breaks on geany-plugins-common << 0.20

 -- Chow Loong Jin <hyperair@ubuntu.com>  Fri, 01 Jul 2011 15:41:50 +0800

geany (0.20-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621289).

 -- Luk Claes <luk@debian.org>  Sat, 18 Jun 2011 12:08:16 +0200

geany (0.20-1ubuntu1) oneiric; urgency=low

  * Merge from debian/unstable, remaining changes:
    - debian/patches/20_use_evince_viewer.dpatch:
       + use evince as viewer for pdf and dvi files
    - debian/patches/20_use_x_terminal_emulator.dpatch:
       + use x-terminal-emulator as terminal
    - debian/control
       + add geany-plugins to Suggests
       + Add breaks on geany-plugins-common

 -- Andreas Moog <amoog@ubuntu.com>  Sat, 28 May 2011 19:49:19 +0200

geany (0.20-1) unstable; urgency=low

  * New upstream release (Closes: #614763, #602073)

 -- Damián Viano <des@debian.org>  Sat, 26 Feb 2011 18:33:07 -0300

geany (0.20-0ubuntu2) natty; urgency=low

  * debian/patches/20_use_evince_viewer.dpatch:
    - use evince as viewer for pdf and dvi files (LP: #398708)
  * debian/patches/20_use_x_terminal_emulator.dpatch:
    - use x-terminal-emulator as terminal (LP: #282972)
      thanks to levu for the patch.
  * debian/control
    - add geany-plugins to Suggests (LP: #709691)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 11 Mar 2011 20:06:54 +0100

geany (0.20-0ubuntu1) natty; urgency=low

  * New upstream release
  * Refresh 20_add_debian_specific_filetypes.dpatch
  * Bump Breaks version for geany-plugins-common

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 08 Jan 2011 17:29:46 +0800

geany (0.19.1-1ubuntu1) maverick; urgency=low

  * Merge from Debian Unstable, remaining changes:
    + debian/control: Add Breaks geany-plugins-common (<< 0.19)

 -- Chow Loong Jin <hyperair@ubuntu.com>  Tue, 14 Sep 2010 00:37:07 +0800

geany (0.19.1-1) unstable; urgency=low

  * New upstream release (Closes: #590284)
    - Thanks to Colomban Wendling for pursuing #590284
  * add a sed hack to fix dlsearchpath for broken libtool used upstream

 -- Damián Viano <des@debian.org>  Mon, 30 Aug 2010 18:09:16 -0300

geany (0.19-1ubuntu1) maverick; urgency=low

  * debian/control: Breaks geany-plugins-common (<< 0.19), as they are
    incompatible

 -- Chow Loong Jin <hyperair@ubuntu.com>  Sat, 07 Aug 2010 03:23:12 +0800

geany (0.19-1) unstable; urgency=low

  * New upstream release (Closes: #585849, #580911, #542785)
  * add 20_use_sensible_browser to change the default browser (Closes: #573454)

 -- Damián Viano <des@debian.org>  Thu, 24 Jun 2010 21:35:05 -0300

geany (0.18-1) unstable; urgency=low

  * New upstream release

 -- Damian Viano <des@debian.org>  Mon, 17 Aug 2009 17:16:21 -0300

geany (0.17-1) unstable; urgency=low

  * New upstream release
  * 20_add_debdiff_as_diff_type.dpatch renamed as
    20_add_debian_specific_filetypes.dpatch, 
    - add .dpatch as a diff filetype
    - add control as a conf filetype
  * 20_change_gpl_location.dpatch freshen
  * add 20_debian_control_tags.dpatch better handling of debian/control files.
    Thanks to Enrico Tröger. (Closes: #520776)
  * debian/copyright Add Frank Lanitz, update years

 -- Damián Viano <des@debian.org>  Fri, 29 May 2009 21:22:54 -0300

=== debian/control ===
Source: geany
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>,
 Evgeni Golov <evgeni@debian.org>
Homepage: http://www.geany.org
Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
Build-Depends: debhelper (>= 8.9.0~), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath
Standards-Version: 3.9.2

Package: geany
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geany-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Provides: ${geany:Provides}
Breaks: geany-plugins-common (<< 0.21)
Suggests: libvte9, doc-base
Description: fast and lightweight IDE
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation

Package: geany-common
Depends: ${misc:Depends}
Replaces: geany (<< 0.21-1~)
Breaks: geany (<< 0.21-1~)
Architecture: all
Description: fast and lightweight IDE -- common files
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation
 .
 This package contains arch independent files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-vte --enable-pipe --enable-the-force
	sed -i -r 's,^sys_lib_dlsearch_path_spec="(.*)$$,sys_lib_dlsearch_path_spec="/usr/lib /lib \1,' $(CURDIR)/libtool

override_dh_auto_install:
	dh_auto_install
	#chrpath -d $(CURDIR)/debian/tmp/usr/bin/geany \
	#	$(CURDIR)/debian/tmp/usr/lib/geany/*.so
	-rm -f $(CURDIR)/debian/tmp/usr/share/geany/GPL-2
	-rm -f $(CURDIR)/debian/tmp/usr/share/doc/geany/COPYING \
	       $(CURDIR)/debian/tmp/usr/share/doc/geany/ScintillaLicense.txt \
	       $(CURDIR)/debian/tmp/usr/share/doc/geany/AUTHORS \
	       $(CURDIR)/debian/tmp/usr/share/doc/geany/ChangeLog
	-rm -f $(CURDIR)/debian/tmp/usr/lib/geany/*.la
	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/geany/*.la

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol:
	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}'`," \
		>> debian/geany.substvars
	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}'`" \
		>> debian/geany.substvars
	dh_gencontrol

=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz
http://download.geany.org/geany-(.*)\.tar\.gz

## geany 0.21.dfsg

=== wscript ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # WAF build script - this file is part of Geany, a fast and lightweight IDE
 #
-# Copyright 2008-2010 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
-# Copyright 2008-2010 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
+# Copyright 2008-2011 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
+# Copyright 2008-2011 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 #
-# $Id: wscript 5400 2010-11-11 17:48:21Z eht16 $
+# $Id: wscript 5982 2011-10-02 10:59:22Z eht16 $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -52,16 +52,18 @@
 
 
 APPNAME = 'geany'
-VERSION = '0.20'
+VERSION = '0.21'
 LINGUAS_FILE = 'po/LINGUAS'
 
 top = '.'
 out = '_build_'
 
 
+mio_sources = set(['tagmanager/mio/mio.c'])
+
 tagmanager_sources = set([
     'tagmanager/args.c', 'tagmanager/abc.c', 'tagmanager/actionscript.c', 'tagmanager/asm.c',
-    'tagmanager/basic.c', 'tagmanager/c.c',
+    'tagmanager/basic.c', 'tagmanager/c.c', 'tagmanager/cobol.c',
     'tagmanager/conf.c', 'tagmanager/css.c', 'tagmanager/ctags.c', 'tagmanager/diff.c',
     'tagmanager/docbook.c', 'tagmanager/entry.c', 'tagmanager/fortran.c', 'tagmanager/get.c',
     'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
@@ -77,29 +79,7 @@
     'tagmanager/tm_tag.c', 'tagmanager/tm_tagmanager.c', 'tagmanager/tm_work_object.c',
     'tagmanager/tm_workspace.c', 'tagmanager/vhdl.c', 'tagmanager/verilog.c', 'tagmanager/vstring.c'])
 
-scintilla_sources = set([
-    'scintilla/AutoComplete.cxx', 'scintilla/CallTip.cxx', 'scintilla/CellBuffer.cxx',
-    'scintilla/CharClassify.cxx', 'scintilla/ContractionState.cxx', 'scintilla/Decoration.cxx',
-    'scintilla/DocumentAccessor.cxx', 'scintilla/Document.cxx', 'scintilla/Editor.cxx',
-    'scintilla/ExternalLexer.cxx',  'scintilla/Indicator.cxx',  'scintilla/KeyMap.cxx',
-    'scintilla/KeyWords.cxx',
-    'scintilla/LexAda.cxx', 'scintilla/LexAsm.cxx', 'scintilla/LexBash.cxx',
-    'scintilla/LexBasic.cxx', 'scintilla/LexCaml.cxx', 'scintilla/LexCmake.cxx', 'scintilla/LexCPP.cxx',
-    'scintilla/LexCSS.cxx', 'scintilla/LexD.cxx', 'scintilla/LexErlang.cxx', 'scintilla/LexForth.cxx',
-    'scintilla/LexFortran.cxx', 'scintilla/LexHaskell.cxx', 'scintilla/LexHTML.cxx', 'scintilla/LexLisp.cxx',
-    'scintilla/LexLua.cxx', 'scintilla/LexMarkdown.cxx', 'scintilla/LexMatlab.cxx',
-    'scintilla/LexNsis.cxx', 'scintilla/LexOthers.cxx',
-    'scintilla/LexPascal.cxx', 'scintilla/LexPerl.cxx', 'scintilla/LexPython.cxx',
-    'scintilla/LexR.cxx', 'scintilla/LexRuby.cxx', 'scintilla/LexSQL.cxx',
-    'scintilla/LexTCL.cxx', 'scintilla/LexTxt2tags.cxx',
-    'scintilla/LexVHDL.cxx', 'scintilla/LexVerilog.cxx', 'scintilla/LexYAML.cxx',
-    'scintilla/LineMarker.cxx', 'scintilla/PerLine.cxx',
-    'scintilla/PlatGTK.cxx',
-    'scintilla/PositionCache.cxx', 'scintilla/PropSet.cxx', 'scintilla/RESearch.cxx',
-    'scintilla/RunStyles.cxx', 'scintilla/ScintillaBase.cxx', 'scintilla/ScintillaGTK.cxx',
-    'scintilla/scintilla-marshal.c', 'scintilla/Selection.cxx', 'scintilla/StyleContext.cxx', 'scintilla/Style.cxx',
-    'scintilla/UniConversion.cxx', 'scintilla/ViewStyle.cxx', 'scintilla/WindowAccessor.cxx',
-    'scintilla/XPM.cxx'])
+scintilla_sources = set(['scintilla/gtk/scintilla-marshal.c'])
 
 geany_sources = set([
     'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
@@ -161,16 +141,13 @@
     _load_intltool_if_available(conf)
 
     # GTK / GIO version check
-    conf.check_cfg(package='gtk+-2.0', atleast_version='2.8.0', uselib_store='GTK',
+    conf.check_cfg(package='gtk+-2.0', atleast_version='2.12.0', uselib_store='GTK',
         mandatory=True, args='--cflags --libs')
-    have_gtk_210 = False
-    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK')
-    if gtk_version:
-        if version.LooseVersion(gtk_version) >= version.LooseVersion('2.10.0'):
-            have_gtk_210 = True
-    else:
-        gtk_version = 'Unknown'
-    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=False)
+    conf.check_cfg(package='glib-2.0', atleast_version='2.16.0', uselib_store='GLIB',
+        mandatory=True, args='--cflags --libs')
+    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
+    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
+    conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')
 
     # Windows specials
     if is_win32:
@@ -233,9 +210,41 @@
     # Scintilla flags
     conf.env.append_value('CFLAGS', ['-DGTK'])
     conf.env.append_value('CXXFLAGS',
-        ['-DNDEBUG', '-DGTK', '-DGTK2', '-DSCI_LEXER', '-DG_THREADS_IMPL_NONE'])
+        ['-DNDEBUG', '-DGTK', '-DSCI_LEXER', '-DG_THREADS_IMPL_NONE'])
 
     # summary
     Logs.pprint('BLUE', 'Summary:')
     conf.msg('Install Geany ' + VERSION + ' in', conf.env['PREFIX'])
     conf.msg('Using GTK version', gtk_version)
+    conf.msg('Build with plugin support', conf.options.no_plugins and 'no' or 'yes')
+    conf.msg('Use virtual terminal support', conf.options.no_vte and 'no' or 'yes')
+    conf.msg('GNU regex library', conf.env['USE_INCLUDED_REGEX'] and 'built-in' or 'system')
+    if svn_rev > -1:
+        conf.msg('Compiling Subversion revision', svn_rev)
+
+
+def options(opt):
+    opt.tool_options('compiler_cc')
+    opt.tool_options('compiler_cxx')
+    opt.tool_options('intltool')
+
+    # Features
+    opt.add_option('--disable-plugins', action='store_true', default=False,
+        help='compile without plugin support [default: No]', dest='no_plugins')
+    opt.add_option('--disable-socket', action='store_true', default=False,
+        help='compile without support to detect a running instance [[default: No]',
+        dest='no_socket')
+    opt.add_option('--disable-vte', action='store_true', default=False,
+        help='compile without support for an embedded virtual terminal [[default: No]',
+        dest='no_vte')
+    opt.add_option('--enable-gnu-regex', action='store_true', default=False,
+        help='compile with included GNU regex library [default: No]', dest='gnu_regex')
+    # Paths
+    opt.add_option('--mandir', type='string', default='',
+        help='man documentation', dest='mandir')
+    opt.add_option('--docdir', type='string', default='',
+        help='documentation root', dest='docdir')
+    opt.add_option('--libdir', type='string', default='',
+        help='object code libraries', dest='libdir')
+    # Actions
+    opt.add_option('--hackingdoc', action='store_true', default=False,

=== debian/changelog ===
geany (0.21.dfsg-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * [625a94f] skip potfiles in the patched dir of quilt

 -- Evgeni Golov <evgeni@debian.org>  Thu, 03 May 2012 22:11:21 +0200

geany (0.21.dfsg-2) unstable; urgency=low

  [ Chow Loong Jin ]
  * [b70e89e] Fix dversionmangle having two = signs in watch

  [ Evgeni Golov ]
  * [3cbb120] Explicitly depend on GModule
    Closes: #666893
    Upstream: https://github.com/geany/geany/commit/7b2f0fe
  * [c9724db] drop unused --enable-pipe parameter to configure

 -- Evgeni Golov <evgeni@debian.org>  Sun, 22 Apr 2012 20:08:05 +0200

geany (0.21.dfsg-1) unstable; urgency=low

  * [0c978c1] Change my email to debian.org
  * [6474558] Imported Upstream version 0.21.dfsg (Closes: #654466)
  * [1cbe34d] Add get-orig-source target for dropping waf
  * [19fe20d] Add dversionmangle option to watchfile

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Jan 2012 01:50:25 +0800

geany (0.20-1.1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Put myself in Uploaders, acked by Damián.

 -- Evgeni Golov <evgeni@debian.org>  Sat, 30 Jul 2011 00:09:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: geany
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@ubuntu.com>,
+Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 8.9.0~), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath
+Build-Depends: debhelper (>= 8.9.0~), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
 Standards-Version: 3.9.2
 
 Package: geany
@@ -16,7 +15,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, geany-common (= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Provides: ${geany:Provides}
-Breaks: geany-plugins-common (<< 0.21)
+Breaks: geany-plugins-common (<< 0.19)
 Suggests: libvte9, doc-base
 Description: fast and lightweight IDE
  Geany is a small and lightweight integrated development environment.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,25 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with autoreconf
+
+override_dh_autoreconf:
+	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\.dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version).dfsg
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	rm $(pkg)-$(dfsg_version)/waf
+	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-vte --enable-pipe --enable-the-force
+	dh_auto_configure -- --enable-vte --enable-the-force
 	sed -i -r 's,^sys_lib_dlsearch_path_spec="(.*)$$,sys_lib_dlsearch_path_spec="/usr/lib /lib \1,' $(CURDIR)/libtool
 
 override_dh_auto_install:

=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz

opts=dversionmangle=s/\.dfsg\.\d+$// \
http://download.geany.org/geany-(.*)\.tar\.gz

## geany 1.22+dfsg

=== wscript ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # WAF build script - this file is part of Geany, a fast and lightweight IDE
 #
-# Copyright 2008-2011 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
-# Copyright 2008-2011 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
+# Copyright 2008-2012 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
+# Copyright 2008-2012 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -18,8 +18,6 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-#
-# $Id: wscript 5982 2011-10-02 10:59:22Z eht16 $
 
 """
 This is a WAF build script (http://code.google.com/p/waf/).
@@ -44,16 +42,17 @@
 import sys
 import os
 import tempfile
-from distutils import version
 from waflib import Logs, Options, Scripting, Utils
 from waflib.Configure import ConfigurationContext
-from waflib.Errors import ConfigurationError, WafError
+from waflib.Errors import WafError
 from waflib.TaskGen import feature
 
 
 APPNAME = 'geany'
-VERSION = '0.21'
+VERSION = '1.22'
 LINGUAS_FILE = 'po/LINGUAS'
+MINIMUM_GTK_VERSION = '2.16.0'
+MINIMUM_GLIB_VERSION = '2.20.0'
 
 top = '.'
 out = '_build_'
@@ -69,7 +68,7 @@
     'tagmanager/haskell.c', 'tagmanager/haxe.c', 'tagmanager/html.c', 'tagmanager/js.c',
     'tagmanager/keyword.c', 'tagmanager/latex.c', 'tagmanager/lregex.c', 'tagmanager/lua.c',
     'tagmanager/make.c', 'tagmanager/markdown.c', 'tagmanager/matlab.c', 'tagmanager/nsis.c',
-    'tagmanager/nestlevel.c', 'tagmanager/options.c',
+    'tagmanager/nestlevel.c', 'tagmanager/objc.c', 'tagmanager/options.c',
     'tagmanager/parse.c', 'tagmanager/pascal.c', 'tagmanager/r.c',
     'tagmanager/perl.c', 'tagmanager/php.c', 'tagmanager/python.c', 'tagmanager/read.c',
     'tagmanager/rest.c', 'tagmanager/ruby.c', 'tagmanager/sh.c', 'tagmanager/sort.c',
@@ -85,7 +84,7 @@
     'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
     'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
     'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
-    'src/highlighting.c', 'src/interface.c', 'src/keybindings.c',
+    'src/highlighting.c', 'src/keybindings.c',
     'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
     'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
     'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
@@ -94,7 +93,6 @@
     'src/ui_utils.c', 'src/utils.c'])
 
 
-
 def configure(conf):
 
     conf.check_waf_version(mini='1.6.1')
@@ -108,19 +106,9 @@
     conf.check_cc(header_name='sys/time.h', mandatory=False)
     conf.check_cc(header_name='sys/types.h', mandatory=False)
     conf.check_cc(header_name='sys/stat.h', mandatory=False)
-    conf.define('HAVE_STDLIB_H', 1) # are there systems without stdlib.h?
-    conf.define('STDC_HEADERS', 1) # an optimistic guess ;-)
-
-    if conf.options.gnu_regex:
-        _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)
-        _add_to_env_and_define(conf, 'USE_INCLUDED_REGEX', 1)
-    else:
-        try:
-            conf.check_cc(header_name='regex.h')
-            conf.check_cc(function_name='regcomp', header_name='regex.h')
-        except ConfigurationError:
-            _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)
-            _add_to_env_and_define(conf, 'USE_INCLUDED_REGEX', 1)
+    conf.define('HAVE_STDLIB_H', 1)  # are there systems without stdlib.h?
+    conf.define('STDC_HEADERS', 1)  # an optimistic guess ;-)
+    _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)  # needed for CTags
 
     conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
     conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
@@ -141,9 +129,11 @@
     _load_intltool_if_available(conf)
 
     # GTK / GIO version check
-    conf.check_cfg(package='gtk+-2.0', atleast_version='2.12.0', uselib_store='GTK',
+    conf.check_cfg(package='gtk+-2.0', atleast_version=MINIMUM_GTK_VERSION, uselib_store='GTK',
         mandatory=True, args='--cflags --libs')
-    conf.check_cfg(package='glib-2.0', atleast_version='2.16.0', uselib_store='GLIB',
+    conf.check_cfg(package='glib-2.0', atleast_version=MINIMUM_GLIB_VERSION, uselib_store='GLIB',
+        mandatory=True, args='--cflags --libs')
+    conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
     gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
@@ -179,7 +169,7 @@
         _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
         _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)
 
-    svn_rev = _get_svn_rev(conf)
+    revision = _get_git_rev(conf)
 
     conf.define('ENABLE_NLS', 1)
     conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
@@ -189,7 +179,7 @@
     conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
     conf.define('PACKAGE', APPNAME, quote=True)
     conf.define('VERSION', VERSION, quote=True)
-    conf.define('REVISION', str(svn_rev), quote=True)
+    conf.define('REVISION', revision or '-1', quote=True)
 
     conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)
 
@@ -205,7 +195,7 @@
 
     # some more compiler flags
     conf.env.append_value('CFLAGS', ['-DHAVE_CONFIG_H'])
-    if svn_rev > -1:
+    if revision is not None:
         conf.env.append_value('CFLAGS', ['-g', '-DGEANY_DEBUG'])
     # Scintilla flags
     conf.env.append_value('CFLAGS', ['-DGTK'])
@@ -218,9 +208,8 @@
     conf.msg('Using GTK version', gtk_version)
     conf.msg('Build with plugin support', conf.options.no_plugins and 'no' or 'yes')
     conf.msg('Use virtual terminal support', conf.options.no_vte and 'no' or 'yes')
-    conf.msg('GNU regex library', conf.env['USE_INCLUDED_REGEX'] and 'built-in' or 'system')
-    if svn_rev > -1:
-        conf.msg('Compiling Subversion revision', svn_rev)
+    if revision is not None:
+        conf.msg('Compiling Git revision', revision)
 
 
 def options(opt):
@@ -237,8 +226,6 @@
     opt.add_option('--disable-vte', action='store_true', default=False,
         help='compile without support for an embedded virtual terminal [[default: No]',
         dest='no_vte')
-    opt.add_option('--enable-gnu-regex', action='store_true', default=False,
-        help='compile with included GNU regex library [default: No]', dest='gnu_regex')
     # Paths
     opt.add_option('--mandir', type='string', default='',
         help='man documentation', dest='mandir')
@@ -248,3 +235,22 @@
         help='object code libraries', dest='libdir')
     # Actions
     opt.add_option('--hackingdoc', action='store_true', default=False,
+        help='generate HTML documentation from HACKING file', dest='hackingdoc')
+
+
+def build(bld):
+    is_win32 = _target_is_win32(bld)
+
+    if bld.cmd == 'clean':
+        _remove_linguas_file()
+    if bld.cmd in ('install', 'uninstall'):
+        bld.add_post_fun(_post_install)
+
+    def build_plugin(plugin_name, install=True):
+        if install:
+            instpath = '${PREFIX}/lib' if is_win32 else '${LIBDIR}/geany'
+        else:
+            instpath = None
+
+        bld.new_task_gen(
+            features                = ['c', 'cshlib'],

=== debian/changelog ===
geany (1.22+dfsg-2ubuntu1) raring; urgency=low

  * debian/patches/git_build_with_latest_glib.patch:
    - Backport patch from 1.23 to fix build failure with glib 2.36

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 19 Apr 2013 21:00:25 -0400

geany (1.22+dfsg-2) unstable; urgency=low

  * [dd3393d] Bump geany-plugins-common breaks version.
    0.21 was the version in which the use of geany-abi-$ABI was added to both
    packages.

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Jun 2012 21:57:22 +0800

geany (1.22+dfsg-1) unstable; urgency=low

  [ Chow Loong Jin ]
  * Import 20_use_x_terminal_emulator.patch from Ubuntu (Closes: #670510)
  * Fix dversionmangle in debian/watch

  [ Evgeni Golov ]
  * use +dfsg instead of .dfsg for the version, thanks lintian
  * Imported Upstream version 1.22+dfsg
  * drop 20_explicitly_depend_on_gmodule.patch
  * refresh patches against 1.22
  * Standards-Version: 3.9.3
  * Build-Depends: debhelper (>= 9)

 -- Evgeni Golov <evgeni@debian.org>  Tue, 19 Jun 2012 20:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: geany
 Section: devel
 Priority: optional
-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
 Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 8.9.0~), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
+Standards-Version: 3.9.3
 
 Package: geany
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, geany-common (= ${source:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Provides: ${geany:Provides}
-Breaks: geany-plugins-common (<< 0.19)
+Breaks: geany-plugins-common (<< 0.21)
 Suggests: libvte9, doc-base
 Description: fast and lightweight IDE
  Geany is a small and lightweight integrated development environment.

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\.dfsg)?.*$$/\1/p')
-dfsg_version = $(upstream_version).dfsg
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 get-orig-source:
